Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface PropertyTree

- All Superinterfaces:
    `Tree`

      public interface PropertyTree
      extends Tree

  To represent property setting in an object literal tree.
  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface jdk.nashorn.api.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FunctionExpressionTree` | `getGetter​()` | Returns the setter function of this property if this is an accessor property.
    `ExpressionTree` | `getKey​()` | Returns the name of this property.
    `FunctionExpressionTree` | `getSetter​()` | Returns the getter function of this property if this is an accessor property.
    `ExpressionTree` | `getValue​()` | Returns the value of this property.
    `boolean` | `isComputed​()` | Is this a computed property?
    `boolean` | `isStatic​()` | Is this a class static property?

    - ### Methods inherited from interface jdk.nashorn.api.tree.Tree

      `accept, getEndPosition, getKind, getStartPosition`

- - ### Method Detail

    - #### getKey

          ExpressionTree getKey​()

      Returns the name of this property.
      Returns:
        the name of the property

    - #### getValue

          ExpressionTree getValue​()

      Returns the value of this property. This is null for accessor properties.
      Returns:
        the value of the property

    - #### getGetter

          FunctionExpressionTree getGetter​()

      Returns the setter function of this property if this is an accessor property. This is null for data properties.
      Returns:
        the setter function of the property

    - #### getSetter

          FunctionExpressionTree getSetter​()

      Returns the getter function of this property if this is an accessor property. This is null for data properties.
      Returns:
        the getter function of the property

    - #### isStatic

          boolean isStatic​()

      Is this a class static property?
      Returns:
        true if this is a static property

    - #### isComputed

          boolean isComputed​()

      Is this a computed property?
      Returns:
        true if this is a computed property